Functions | Variables

# toolbar_gui.h File Reference

Stuff related to the (main) toolbar. More...

Go to the source code of this file.

## Functions
void | AllocateToolbar ()
| Allocate the toolbar.
void | ToggleBoundingBoxes ()
| Toggle drawing of sprites' bounding boxes.
void | ToggleDirtyBlocks ()
| Toggle drawing of the dirty blocks.
## Variables
int16 * | _preferred_toolbar_size
| Pointer to the default size for the main toolbar.

## Detailed Description

Stuff related to the (main) toolbar.

Definition in file toolbar_gui.h.

## Function Documentation

void AllocateToolbar | ( |  | ) |

Allocate the toolbar.

Definition at line 2089 of file toolbar_gui.cpp.

References WindowDesc::default_width.

Referenced by ShowVitalWindows().

void ToggleBoundingBoxes | ( |  | ) |

Toggle drawing of sprites' bounding boxes.

Note:
  has only an effect when newgrf_developer_tools are active.

Function is found here and not in viewport.cpp in order to avoid importing the settings structs to there.

Definition at line 986 of file toolbar_gui.cpp.

References _settings_client, ClientSettings::gui, MarkWholeScreenDirty(), and GUISettings::newgrf_developer_tools.

Referenced by MenuClickHelp(), and MainWindow::OnKeyPress().

void ToggleDirtyBlocks | ( |  | ) |

Toggle drawing of the dirty blocks.

Note:
  has only an effect when newgrf_developer_tools are active.

Function is found here and not in viewport.cpp in order to avoid importing the settings structs to there.

Definition at line 1003 of file toolbar_gui.cpp.

References _settings_client, ClientSettings::gui, MarkWholeScreenDirty(), and GUISettings::newgrf_developer_tools.

Referenced by MenuClickHelp(), and MainWindow::OnKeyPress().